Package twisted :: Package im :: Module basesupport

[show private | hide private]
[frames | no frames]

## Module twisted.im.basesupport

Instance Messenger base classes for protocol support.

You will find these useful if you're adding a new protocol to IM.

Classes
`AbstractAccount` | Base class for Accounts.
`AbstractClientMixin` | Designed to be mixed in to a Protocol implementing class.
`AbstractGroup` |
`AbstractPerson` |

Variable Summary
`Enum` | `OFFLINE`
`Enum` | `ONLINE`

Variable Details

### OFFLINE

  Type:
    `Enum`
  Value:

        <None: Offline>

### ONLINE

  Type:
    `Enum`
  Value:

        <None: Online>

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net